Bug 661783 - virt-top can't be rebuild in mock
Summary: virt-top can't be rebuild in mock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-top
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-09 16:20 UTC by Levente Farkas
Modified: 2011-05-19 14:11 UTC (History)
6 users (show)

Fixed In Version: virt-top-1.0.4-3.3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 14:11:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0720 normal SHIPPED_LIVE virt-top bug fix update 2011-05-18 18:09:39 UTC

Description Levente Farkas 2010-12-09 16:20:28 UTC
can't be rebuild in mock because missing br: ocaml-camomile-data
the strange  thing this package totally missing from rhel-6?

Comment 2 Richard W.M. Jones 2010-12-09 16:35:27 UTC
You've got the RHEL Optional repository installed?

Comment 3 Levente Farkas 2010-12-09 17:10:22 UTC
i'm just check it on rhn and even rhn can't find anything ocaml-camomile. it seems rh forget it:-)
even
ftp://ftp.redhat.com/redhat/linux/enterprise/6Server/en/os/SRPMS/
 has no such source...

Comment 4 Akemi Yagi 2010-12-23 16:04:50 UTC
I second this. I had to fetch the srpm from Fedora.

Comment 5 Richard W.M. Jones 2011-01-06 11:59:21 UTC
What happened is we built virt-top, then decided that we
didn't need ocaml-camomile in RHEL 6 (and dropped it), but
didn't rebuild virt-top.

In fact ocaml-camomile* is not needed to build virt-top, this
is a bogus dependency.  In RHEL 6.1 we will release a newer
version of virt-top which doesn't have this dependency (along
with many other changes).

In the meantime you can just remove this from the spec file
and it will build:

-%ifnarch ppc64
-BuildRequires:  ocaml-camomile-data
-%endif

Comment 8 koka xiong 2011-02-22 03:21:46 UTC
Verified with virt-top-1.0.4-3.7.el6.x86_64
1.rpm -ivh virt-top-1.0.4-3.7.el6.src.rpm
virt-top               warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
########################################### [100%]
2.Look at the spec file
BuildRequires:  ocaml >= 3.11.0
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel
# Need the ncurses / ncursesw (--enable-widec) fix.
BuildRequires:  ocaml-curses-devel >= 1.0.3-6.1
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-xml-light-devel
BuildRequires:  ocaml-csv-devel
BuildRequires:  ocaml-calendar-devel
BuildRequires:  ocaml-libvirt-devel

No ocaml-camomile* is required in the spec file.

Verification is passed.

Comment 9 errata-xmlrpc 2011-05-19 14:11:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0720.html


Note You need to log in before you can comment on or make changes to this bug.